# AgentInstruct API

### AgentInstruct Description

AgentInstruct is a dataset that aims to improve LLMs’ generalized agent abilities. It was introduced with [AgentTuning](https://arxiv.org/abs/2310.12823): Enabling Generalized Agent Abilities for LLMs (A Zeng et al., 2023). The AgentInstruct dataset includes 1,866 trajectories from 6 agents' tasks. “Inst.” stands for instruction, the agent needs to interact with the environment to complete the task specified in the instruction, “Traj.” stands for interaction trajectory, “Filt. Traj.” stands for filtered trajectories. “Task Deri.” stands for Task Derivation.

To see the full dataset composition check its [JungleGym page](https://junglegym.ai/AgentInstruct%20Overview).

### AgentInstruct API Documentation

This API provides access to the full AgentInstruct dataset in its original format.

Version: 0.0.9 (Experimental) Status: Development Rate Limit: 500 requests per minute Root Endpoint: <https://api.junglegym.ai/>

#### Agent Instruction Endpoints

1. **Load Agent Instruction Dataset**
   * URL: `/load_agent_instruct`
   * Method: GET
   * Rate Limit: 500/minute.
   * Response: Returns the Agent Instruction dataset.
   * ```json
     jsonCopy code{
         "data": [...]
     }
     ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junglegym.ai/junglegym/api-documentation/agentinstruct-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
